<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html">afml</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::afml::Channel Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">alexaClientSDK::afml::Channel</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html#a4bb4084a19af877be354d11f919b32d8">Channel</a>(const std::string &amp;name, const unsigned int priority)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">alexaClientSDK::afml::Channel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html#a334ff43d1c4c9bd2a51d3e16626685fb">doesObserverOwnChannel</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::ChannelObserverInterface &gt; observer) const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">alexaClientSDK::afml::Channel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html#a705fcd8f244b6f90ba330836579e0b6b">getInterface</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">alexaClientSDK::afml::Channel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html#a787ed8a96ea9cb8e4d92d3e32e81d83c">getName</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">alexaClientSDK::afml::Channel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html#a279f121de6f73593cdc1e6350df0da0a">getPriority</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">alexaClientSDK::afml::Channel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html#aaaf8407036a908c4c1f60d34f714b110">getState</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">alexaClientSDK::afml::Channel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html#a40ec13f169e810256397869449815deb">hasObserver</a>() const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">alexaClientSDK::afml::Channel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html#ab1ebf2cf43e1e1211ab85af3870d8736">operator&gt;</a>(const Channel &amp;rhs) const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">alexaClientSDK::afml::Channel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html#a5c1b1297903478630e83930cfa6c84e6">setFocus</a>(avsCommon::avs::FocusState focus)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">alexaClientSDK::afml::Channel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html#a7be4baa07ce71e33d2e79c6f62d7616c">setInterface</a>(const std::string &amp;interface)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">alexaClientSDK::afml::Channel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html#aeace7bcc1b64248c4b609ff4fa03b7c3">setObserver</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::ChannelObserverInterface &gt; observer)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">alexaClientSDK::afml::Channel</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
